Bug 7043 - add more information to event log files (might break anything parsing them)
: add more information to event log files (might break anything parsing them)
Status: RESOLVED FIXED
: Nimbus
Workspace service
: 2.4
: PC Linux
: P3 normal
: 2.5
Assigned To:
:
:
:
: 7013
  Show dependency treegraph
 
Reported: 2010-06-08 21:13 by
Modified: 2010-06-19 22:49 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2010-06-08 21:13:12
The "services/var/nimbus/current-reservations.txt" and
"services/var/nimbus/accounting-events.txt" files contain information about who
is currently using the system that the administrator can easily cat out.

Add to this information so that it does not need to be correlated from other
places.

* "clientLaunchName": when using the cloud client this will include the handle
they assigned e.g. "vm-003"

* "vmm": the resource assigned 

* "network": the full network information passed to the backend


If there are programs parsing these files (are there?), this might break them.
------- Comment #1 From 2010-06-08 21:20:21 -------
Harder to do for "current-reservations.txt", only the "accounting-events.txt"
will get this treatment.

Committed to master for Nimbus 2.5

http://github.com/nimbusproject/nimbus/commit/925f35f80b6da9967d59ec819ac186401f0a9ee8
------- Comment #2 From 2010-06-19 22:49:14 -------
Merged in Patrick's work as well which add cpu count (-1 if client wants
default) and memory.
http://github.com/nimbusproject/nimbus/tree/merge-multicore

Heading for master for 2.5

Sample:


CREATED: time="Jun 19, 2010 10:41:33 PM",
uuid="4a7cd38d-da14-4076-8aa8-7b57e7ef3d63", eprkey=3,
dn="/O=Auto/OU=something/CN=tim", requestMinutes=120, charge=120, CPUCount=-1,
memory=512, vmm='vmm1',
clientLaunchName='https://localhost:8443/vm-013',
network='eth0;public;A2:AA:BB:10:F0:59;Bridged;AllocateAndConfigure;192.168.0.2;192.168.0.1;null;null;192.168.0.1;pub02;null;null;null;null'

REMOVED: time="Jun 19, 2010 10:41:51 PM",
uuid="4a7cd38d-da14-4076-8aa8-7b57e7ef3d63", eprkey=3,
dn="/O=Auto/OU=something/CN=tim", charge=1